Metafunction
Position
Type of an object that represents a position in a container.
Position<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which the position type is determined. Types: AlignCols, Finder, FrequencyDistribution, Gaps, Iter, Journaled String, SeedSet, std::basic_string, std::list, std::vector, std::vector, String, StringEnumerator, thrust::device_vector

Return Values

Type | Position type of T.

Member of
SeedSet, std::basic_string, Journaled String, thrust::device_vector, Gaps, Finder, std::vector, StringEnumerator, std::list
Functions

beginPosition | Return the clipping begin position as a source position.
clippedBeginPosition | Return the begin position of the clipping in the unclipped gapped sequence.
clippedEndPosition | Return the end position of the clipping in the unclipped gapped sequence.
endPosition | Return the clipping end position as a source position.
hostToVirtualPosition | Translates position in host to virtual (view) position.
infix | Creates infix object.
infixWithLength | Creates infix object.
insertGap | Insert one gap into a gapped sequence.
insertGaps | Insert multiple gaps into a gapped sequence.
isGap | Query whether a given clipped view position is a gap.
prefix | Creates prefix object.
removeGap | Remove one gap from a gapped sequence.
removeGaps | Remove multiple gaps from a gapped sequence.
setBeginPosition | Sets begin position of object in host.
setClippedBeginPosition | Sets the begin position of the clipping.
setClippedEndPosition | Sets the end position of the clipping.
setEndPosition | Sets begin position of object in host.
suffix | Creates suffix object.
virtualToHostPosition | Translates virtual (view) position to position in host.

Part of Concept
Container, RootedRandomAccessIteratorConcept
See Also
Position Iterator, iter, Iterator, getValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59